package CHAPTER06;

class People1 {	
	People1(String name) {
		System.out.println("People 클래스 생성자 호출: " + name);
	}
}

class Employee1 extends People1 {	
	Employee1(String name) {
		super(name); // 부모 클래스(People)의 생성자를 명시적으로 호출해야 함
		System.out.println("Employee 클래스 생성자 호출: " + name);
	}
}

public class ConstructorSuper {
	public static void main(String[] args) {
		// Employee 객체 생성 → 부모 클래스(People)의 생성자가 먼저 실행된 후 자식 클래스(Employee)의 생성자가 실행됨
		Employee1 obj = new Employee1("문석재");
	}
}
